### Method

# Vips Sbuf get_non_whitespace

#### Declaration [src]

    const char*
    vips_sbuf_get_non_whitespace (
      VipsSbuf* sbuf
    )

#### Description [src]

Fetch the next chunk of non-whitespace text from the source, and null-terminate it.

After this, the next getc will be the first char of the next block of whitespace (or EOF).

If the first getc is whitespace, stop instantly and return the empty string.

If the item is longer than some arbitrary (but large) limit, it is truncated.

The return value is owned by `sbuf` and must not be freed. It is valid until the next get call to `sbuf`.

#### Return value

Type: `const char*`

The next block of non-whitespace, or `NULL` on EOF or read error.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.